gnutls_pkcs7_set_crl(3)

NAME
gnutls_pkcs7_set_crl - API function

SYNOPSIS
#include <gnutls/pkcs7.h>

int gnutls_pkcs7_set_crl(gnutls_pkcs7_t pkcs7, gnutls_x509_crl_t crl);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    The pkcs7 type

gnutls_x509_crl_t crl
    the DER encoded crl to be added

DESCRIPTION
This function will add a parsed CRL to the PKCS7 or RFC2630 crl set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/